## org.h2.util
Class AbbaDetector

    java.lang.Object
      org.h2.util.AbbaDetector

    public class AbbaDetector

extends java.lang.Object

Utility to detect AB-BA deadlocks.

Constructor Summary
`AbbaDetector()`

Method Summary
`static java.lang.Object` `begin(java.lang.Object o)` This method is called just before or just after an object is synchronized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbbaDetector

    public AbbaDetector()

Method Detail

### begin

    public static java.lang.Object begin(java.lang.Object o)

  This method is called just before or just after an object is synchronized.

  Parameters:
    `o` - the object, or null for the current class
  Returns:
    the object that was passed